Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.normalize.segregate
Class SegregationRange

    java.lang.Object
      org.encog.util.normalize.segregate.SegregationRange

All Implemented Interfaces:
  Serializable

    public class SegregationRange

extends Object
implements Serializable

Specifies a range that might be included or excluded.

See Also:
  Serialized Form

Constructor Summary
`SegregationRange()` Default constructor for reflection.
`SegregationRange(double low, double high, boolean include)` Construct a segregation range.

Method Summary
`double` | `getHigh()`
`double` | `getLow()`
`boolean` | `inRange(double value)` Is this value within the range.
`boolean` | `isIncluded()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegregationRange

    public SegregationRange()

  Default constructor for reflection.

### SegregationRange

    public SegregationRange(double low,
                            double high,
                            boolean include)

  Construct a segregation range.

  Parameters:
    `low` - The low end of the range.
    `high` - The high end of the range.
    `include` - Specifies if the range should be included.

Method Detail

### getHigh

    public double getHigh()

  Returns:
    The high end of the range.

### getLow

    public double getLow()

  Returns:
    The low end of the range.

### inRange

    public boolean inRange(double value)

  Is this value within the range.

  Parameters:
    `value` - The value to check.
  Returns:
    True if the value is within the range.

### isIncluded

    public boolean isIncluded()

  Returns:
    True if this range should be included.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.